# Copyright 2007 Edd Dawson.
# Distributed under the Boost Software License, Version 1.0.
# See accompanying file BOOST_LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt

# slam: slightly less awful make
# http://www.mr-edd.co.uk

"""
This file contains the entry point for the slam build process.
The slam compiled executable calls this script with appropriate arguments, though it may
be called explicitly, too.

slamcore.slam_main() does all the grunt work.
"""

if __name__ == '__main__':
	import sys
	import os

	try:
		slam_root = os.environ.get('SLAM_ROOT')
		if slam_root:
			sys.path.append(slam_root)

		from slamcore.engine.exceptions import slam_error
		from slamcore.main import slam_main
		slam_main()

	except slam_error, err:
		sys.stderr.write('error: ' + err.message() + '\n')
		sys.exit(1)