# Copyright 2007 Edd Dawson.
# Distributed under the Boost Software License, Version 1.0.
# See accompanying file BOOST_LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt

import slamcore.toolsets.msvc as msvc

class msvc6(msvc.msvc):
	def __init__(self, env):
		msvc.msvc.__init__(self, env)

		self.set_identfier('msvc6', 1)
		
		desc = \
		"""
		This toolset uses Microsoft's Visual C++ compiler version 6 to build
		C++ libraries and programs.

		When using this toolset, you should make sure that the host environment
		is set up correctly, usually done by running the "Visual Studio Command
		Prompt", found somewhere in the Start menu.

		Standard C++ exception handling and run-time type identification (RTTI)
		are turned on by default with this toolset and those derived from it.
		To disable them, you should derive your own toolset and customise to suit.
		This is much easier than it sounds!

		This toolset is provided with the slam distribution.
		"""

		self.replace_note('Toolset description', desc)

def create(env):
	return msvc6(env)