# Copyright 2008 Edd Dawson.
# Distributed under the Boost Software License, Version 1.0.
# See accompanying file BOOST_LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt

import slamcore.toolsets.msvc8 as msvc8
import slamcore.toolsets.toolset as toolset


has_some = toolset.has_some
has_all = toolset.has_all
has_not = toolset.has_not
always = toolset.always

class msvc9(msvc8.msvc8):
    def __init__(self, env):
        msvc8.msvc8.__init__(self, env)

        self.set_identifier('msvc9', 1)

        desc = \
        """
        This toolset uses the 2008 edition of Microsoft's Visual C++ compiler
        to build C++ libraries and programs.

        When using this toolset, you should make sure that the host environment
        is set up correctly, usually done by running the "Visual Studio Command
        Prompt", found somewhere in the Start menu.

        Standard C++ exception handling and run-time type identification (RTTI)
        are turned on by default with this toolset and those derived from it.

        Similarly, the _SCL_SECURE_NO_DEPRECATE preprocessor macro is defined on
        all builds because I believe it's silly not to have it (you shouldn't
        let kids play with knives). Warning 4996 is disabled by default, too.
        Of course whether you agree with this decision is a matter of taste.

        To change the default behaviours, you should derive your own toolset and
        customise to suit. This is much easier than it sounds!

        This toolset is provided with the slam distribution.
        """

        self.replace_note('Toolset description', desc)

def create(env):
    return msvc9(env)
